﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.ComponentModel;

namespace WMDIOAPP
{
    class WMDIO
    {
        private const string DllName = "WMDIODll.dll";

        [DllImport(DllName, EntryPoint = "WM_GpioOpen")]
        public static extern bool WM_GpioOpen();

        [DllImport(DllName, EntryPoint = "WM_GpioClose")]
        public static extern bool WM_GpioClose();

        [DllImport(DllName, EntryPoint = "WM_GetGpioDirection")]
        public static extern bool WM_GetGpioDirection(out UInt16 uiData);

        [DllImport(DllName, EntryPoint = "WM_SetGpioDirection")]
        public static extern bool WM_SetGpioDirection(UInt16 uiData);

        [DllImport(DllName, EntryPoint = "WM_GetGpioData")]
        public static extern bool WM_GetGpioData(out UInt16 uiData);

        [DllImport(DllName, EntryPoint = "WM_SetGpioData")]
        public static extern bool WM_SetGpioData(UInt16 uiData);

    }
}
