﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace WMWDGAPP
{
    public partial class Form1 : Form
    {
        [DllImport("WMWDGDLL.dll")]
        public static extern bool WM_SetWatchDog(int nScale, int nCounter);

        public enum WATCHDOG_MODE
        {
            MODE_SECOND = 0,
            MODE_MINUTE = 1,
            MODE_DISABLE = 2
        };

        public Form1()
        {
            InitializeComponent();
        }

        private void Watchdog30secBtn_Click(object sender, EventArgs e)
        {
            WM_SetWatchDog(30, (int)WATCHDOG_MODE.MODE_SECOND);
        }

        private void Watchdog1minBtn_Click(object sender, EventArgs e)
        {
            WM_SetWatchDog(1, (int)WATCHDOG_MODE.MODE_MINUTE);
        }

        private void Watchdog5minBtn_Click(object sender, EventArgs e)
        {
            WM_SetWatchDog(5, (int)WATCHDOG_MODE.MODE_MINUTE);
        }

        private void Watchdog10minBtn_Click(object sender, EventArgs e)
        {
            WM_SetWatchDog(10, (int)WATCHDOG_MODE.MODE_MINUTE);
        }

        private void WatchdogDisableBtn_Click(object sender, EventArgs e)
        {
            WM_SetWatchDog(0, (int)WATCHDOG_MODE.MODE_DISABLE);
        }
    }
}